package it.openutils.magnoliastripes;

import java.io.IOException;
import java.io.PrintWriter;
import java.io.Writer;

import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpServletResponseWrapper;


/**
 * A response wrapper for the Stripes paragraph (replace the standard writer with the Magnolia one).
 * @author fgiust
 * @version $Id: $
 */
class StripesParagraphResponseWrapper extends HttpServletResponseWrapper
{

    /**
     * Writer that should be used for output.
     */
    private PrintWriter out;

    /**
     * @param response HttpServletResponse
     * @param out writer guven by Magnolia.
     */
    public StripesParagraphResponseWrapper(HttpServletResponse response, Writer out)
    {
        super(response);
        this.out = new PrintWriter(out);
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public PrintWriter getWriter() throws IOException
    {
        return out;
    }

}